package com.yeejoin.amos.boot.module.app.api.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.app.api.entity.CategoryOtherInfo;
import org.typroject.tyboot.core.restful.utils.ResponseModel;

import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * 装备分类接口类
 *
 * @author system_generator
 * @date 2021-10-20
 */
public interface IEquipmentCategoryService {

    List<Map<String,Object>> equipTree(String type);

    Page equipClaimOverview();

    Map<String, String> createSupervisorCode(Map<String, Object> map, String record);

    List<LinkedHashMap> getTree();
    List<LinkedHashMap> creatTree();

    List<LinkedHashMap> getRegion(String level, String parentId);

    Map<String,Object> getCategoryAndDefineByRecord(String rowId);

    List<CategoryOtherInfo> checkCode(Map<String, Object> obj);

    List<String> updateOtherInfo(Map<String, Object> map);

    Map<String,Map<String,Object>> getFormRecordById(Map<String, Object> map);

    void checkEsData(String id);

    void createEquipmentCategoryData();

    List<String> deleteBatch(Map<String, Object> map);

    ResponseModel submit(Map<String, Object> map);
}
